Bug 1293477 - hammer repository-set typographic errors
hammer repository-set typographic errors
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.1.5
All All
unspecified Severity low (vote)
: GA
: --
Assigned To: Bryan Kearney
Og Maciel
http://projects.theforeman.org/issues...
:
: 1293478 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 16:09 EST by Andrew Schofield
Modified: 2017-08-15 16:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1293478 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 14623 None None None 2016-04-22 11:37 EDT

  None (edit)
Description Andrew Schofield 2015-12-21 16:09:31 EST
Description of problem:

A number of typographic errors in repository-set subcommand.

Version-Release number of selected component (if applicable):
6.1.5

How reproducible:
Always.

Steps to Reproduce:
1. hammer repository-set --help
2.
3.

Actual results:

# hammer repository-set --help
Usage:
    hammer repository-set [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 available-repositories        Get list or available repositories for the repository set
 disable                       Disable a repository form the set
 enable                        Enable a repository from the set
 info                          Get info about a repository set
 list                          List repository sets for a product.


Expected results:
Get list of available repositories for the repository set
Disable a repository from the set

Additional info:
Comment 1 Bryan Kearney 2016-04-13 15:08:16 EDT
Created redmine issue http://projects.theforeman.org/issues/14623 from this bug
Comment 2 Bryan Kearney 2016-04-13 15:12:33 EDT
*** Bug 1293478 has been marked as a duplicate of this bug. ***
Comment 3 Bryan Kearney 2016-04-13 15:13:09 EDT
See additional typo from https://bugzilla.redhat.com/show_bug.cgi?id=1293478 which is fixed in this bz.
Comment 4 Bryan Kearney 2016-04-13 16:11:56 EDT
Upstream bug assigned to bkearney@redhat.com
Comment 5 Bryan Kearney 2016-04-19 16:13:03 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/14623 has been closed
-------------
Bryan Kearney
Applied in changeset commit:katello|856db7b2ee0f372a2d8e4a53660894c7cece074c.
Comment 7 Og Maciel 2016-10-19 14:22:13 EDT
This has been verified on Satellite 6.3.0 SNAP 5.0:

The fix changes 3 strings:

diff --git a/app/controllers/katello/api/v2/repository_sets_controller.rb b/app/controllers/katello/api/v2/repository_sets_controller.rb
index 6491b18..0285d4c 100644
--- a/app/controllers/katello/api/v2/repository_sets_controller.rb
+++ b/app/controllers/katello/api/v2/repository_sets_controller.rb
@@ -30,7 +30,7 @@ def show
       respond :resource => @product_content
     end
 
-    api :GET, "/products/:product_id/repository_sets/:id/available_repositories", N_("Get list or available repositories for the repository set")
+    api :GET, "/products/:product_id/repository_sets/:id/available_repositories", N_("Get list of available repositories for the repository set")
     param :id, :number, :required => true, :desc => N_("ID of the repository set")
     param :product_id, :number, :required => true, :desc => N_("ID of a product to list repository sets from")
     def available_repositories
@@ -65,8 +65,8 @@ def enable
       respond_for_async :resource => task
     end
 
-    api :PUT, "/products/:product_id/repository_sets/:id/disable", N_("Disable a repository form the set")
-    param :id, :number, :required => true, :desc => N_("ID of the repository set to enable")
+    api :PUT, "/products/:product_id/repository_sets/:id/disable", N_("Disable a repository from the set")
+    param :id, :number, :required => true, :desc => N_("ID of the repository set to disable")
     param :product_id, :number, :required => true, :desc => N_("ID of the product containing the repository set")
     param :basearch, String, :required => false, :desc => N_("Basearch to disable")
     param :releasever, String, :required => false, :desc => N_("Releasever to disable")

Here's the output of the same command now:

# hammer repository-set --help
Usage:
    hammer repository-set [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:
 SUBCOMMAND                    subcommand
 [ARG] ...                     subcommand arguments

Subcommands:
 available-repositories        Get list of available repositories for the repository set
 disable                       Disable a repository from the set
 enable                        Enable a repository from the set
 info                          Get info about a repository set
 list                          List repository sets for a product.

Options:
 -h, --help                    print help

# hammer repository-set disable --help
Usage:
    hammer repository-set disable [OPTIONS]

Options:
 --basearch BASEARCH                     Basearch to disable
 --id ID                                 ID of the repository set to disable
 --name NAME                             Repository set name to search by
 --new-name NEW_NAME
 --organization ORGANIZATION_NAME        Organization name to search by
 --organization-id ORGANIZATION_ID       organization ID
 --organization-label ORGANIZATION_LABEL Organization label to search by
 --product PRODUCT_NAME                  Product name to search by
 --product-id PRODUCT_ID                 product numeric identifier
 --releasever RELEASEVER                 Releasever to disable
 -h, --help                  
            print help
# hammer repository-set enable --help
Usage:
    hammer repository-set enable [OPTIONS]

Options:
 --basearch BASEARCH                     Basearch to enable
 --id ID                                 ID of the repository set to enable
 --name NAME                             Repository set name to search by
 --new-name NEW_NAME
 --organization ORGANIZATION_NAME        Organization name to search by
 --organization-id ORGANIZATION_ID       organization ID
 --organization-label ORGANIZATION_LABEL Organization label to search by
 --product PRODUCT_NAME                  Product name to search by
 --product-id PRODUCT_ID                 product numeric identifier
 --releasever RELEASEVER                 Releasever to enable
 -h, --help                              print help

Note You need to log in before you can comment on or make changes to this bug.